{% extends 'base.html.twig' %}

{% block title %}S'inscrire{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="d-none d-md-block col-md-5 p-0">
                <div class="d-flex border-primary h-100">
                    <img src="{{ asset('images/default_1.webp') }}" class="card-img-top position-absolute opacity-20 h-100" alt="...">
                    <div class="text-white z-index-10 m-5 p-xl-5">
                        <div class="h2">Déjà un compte ?</div>
                        <a href="{{ path('app_login') }}" class="btn btn-info mb-4">Se connecter</a>

                        <div class="h2">Pas encore de compte ?</div>
                        <ul class="list-unstyled mt-2">
                            <li class="font-weight-bold">Qui peut se créer un compte ?</li>
                            <li class="font-italic">Tout le monde</li>
                        </ul>
                        <ul class="list-unstyled mt-2">
                            <li class="font-weight-bold">Pourquoi se créer un compte ?</li>
                            <li class="font-italic">Avoir un espace personnel récapitulant toutes les inscriptions que vous avez faites</li>
                            <li class="font-italic">Pouvoir s'inscrire en un clic aux événements</li>
                            <li class="font-italic">Modifier ses inscriptions</li>
                            <li class="font-italic"></li>
                        </ul>
                        <ul class="list-unstyled mt-2">
                            <li class="font-weight-bold">Quelles informations sont enregistrées ?</li>
                            <li class="font-italic">Au minimum, seulement votre adresse email et votre mot de passe chiffré</li>
                            <li class="font-italic">Possibilité d'ajouter son prénom et nom</li>
                            <li class="font-italic">Egalement renseigner son numéro de licence FFCO pour l'inscription rapide</li>
                            <li class="font-italic"></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-7 col-lg-5 offset-lg-1 my-4">
                <h1>S'inscrire</h1>
                {{ form_start(registrationForm) }}
                    <div class="form-group">
                        <label for="registration_form_email" class="required"><i class="fa fa-at"></i> Adresse e-mail</label>
                        {{ form_widget(registrationForm.email, {'attr': {'class': registrationForm.email.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                        <div class="invalid-feedback">
                            {{ form_errors(registrationForm.email) }}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="registration_form_plainPassword" class="required"><i class="fa fa-key"></i> Mot de passe</label>
                        {{ form_widget(registrationForm.plainPassword, {'attr': {'class': registrationForm.plainPassword.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                        <div class="invalid-feedback">
                            {{ form_errors(registrationForm.plainPassword) }}
                        </div>
                    </div>

                    <div class="form-group form-check">
                        {{ form_widget(registrationForm.agreeTerms, {'attr': {'class': registrationForm.agreeTerms.vars.errors|length > 0 ? 'form-check-input is-invalid' : 'form-check-input'}}) }}

                        <label class="form-check-label" for="registration_form_agreeTerms">Accepter les conditions générales d'utilisation <a href="">Voir les CGU</a></label>

                        <div class="invalid-feedback">
                            {{ form_errors(registrationForm.agreeTerms) }}
                        </div>
                    </div>

                    <button type="submit" class="btn btn-lg btn-primary">S'inscrire</button>
                {{ form_end(registrationForm) }}
            </div>
        </div>
    </div>
{% endblock %}
